apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubemacpool.io/transaction-timestamp: '2024-12-10T18:10:18.19325933Z'
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
    original-ID: vm-28
    original-name: esx8-0-win11-x86-64-efi
  resourceVersion: '63389052'
  name: esx8-0-win11-x86-64-efi
  uid: de17b077-33d1-4fc6-b9db-c87f12e908ec
  creationTimestamp: '2024-12-10T17:47:16Z'
  generation: 3
  managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:original-ID': {}
            'f:original-name': {}
          'f:labels':
            .: {}
            'f:migration': {}
            'f:plan': {}
            'f:vmID': {}
        'f:spec':
          .: {}
          'f:preference':
            .: {}
            'f:kind': {}
            'f:name': {}
          'f:template':
            .: {}
            'f:metadata':
              .: {}
              'f:creationTimestamp': {}
              'f:labels':
                .: {}
                'f:app': {}
            'f:spec':
              .: {}
              'f:domain':
                .: {}
                'f:clock':
                  .: {}
                  'f:timezone': {}
                'f:cpu':
                  .: {}
                  'f:cores': {}
                  'f:sockets': {}
                'f:devices':
                  .: {}
                  'f:disks': {}
                  'f:inputs': {}
                  'f:interfaces': {}
                'f:firmware':
                  .: {}
                  'f:bootloader':
                    .: {}
                    'f:efi':
                      .: {}
                      'f:secureBoot': {}
                  'f:serial': {}
                'f:machine':
                  .: {}
                  'f:type': {}
                'f:memory':
                  .: {}
                  'f:guest': {}
                'f:resources':
                  .: {}
                  'f:requests':
                    .: {}
                    'f:memory': {}
              'f:networks': {}
              'f:volumes': {}
      manager: forklift-controller
      operation: Update
      time: '2024-12-10T17:47:16Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:kubevirt.io/latest-observed-api-version': {}
            'f:kubevirt.io/storage-observed-api-version': {}
          'f:finalizers':
            .: {}
            'v:"kubevirt.io/virtualMachineControllerFinalize"': {}
        'f:spec':
          'f:preference':
            'f:revisionName': {}
      manager: virt-controller
      operation: Update
      time: '2024-12-10T17:47:16Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:running': {}
      manager: virt-api
      operation: Update
      time: '2024-12-10T18:10:18Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:printableStatus': {}
          'f:runStrategy': {}
          'f:conditions': {}
          .: {}
          'f:ready': {}
          'f:volumeSnapshotStatuses': {}
          'f:observedGeneration': {}
          'f:created': {}
          'f:desiredGeneration': {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: '2024-12-10T18:43:44Z'
  namespace: openshift-mtv
  finalizers:
    - kubevirt.io/virtualMachineControllerFinalize
  labels:
    migration: 27167168-fdd2-4495-8fa1-0f2dd7fa8058
    plan: 67a6069c-8672-4b3b-b4f7-2246cca833f0
    vmID: vm-28
spec:
  preference:
    kind: virtualmachineclusterpreference
    name: windows.11
    revisionName: esx8-0-win11-x86-64-efi-windows.11-9e42325d-c494-466a-84f9-fc367e392b72-1
  running: true
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: esx8-0-win11-x86-64-efi
    spec:
      architecture: amd64
      domain:
        clock:
          timezone: UTC
        cpu:
          cores: 1
          sockets: 2
        devices:
          disks:
            - disk:
                bus: virtio
              name: vol-0
          inputs:
            - bus: virtio
              name: tablet
              type: tablet
          interfaces:
            - macAddress: '00:50:56:af:ca:05'
              masquerade: {}
              model: virtio
              name: net-0
        firmware:
          bootloader:
            efi:
              secureBoot: false
          serial: 422feefb-e04c-da30-fe48-be6b6866c5c0
        machine:
          type: q35
        memory:
          guest: 4Gi
        resources:
          requests:
            memory: 4Gi
      networks:
        - name: net-0
          pod: {}
      volumes:
        - name: vol-0
          persistentVolumeClaim:
            claimName: test-win11-efi-secureboot-vm-28-w85s7
status:
  conditions:
    - lastProbeTime: null
      lastTransitionTime: '2024-12-10T18:10:19Z'
      status: 'True'
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: null
      message: 'cannot migrate VMI: PVC test-win11-efi-secureboot-vm-28-w85s7 is not shared, live migration requires that all PVCs must be shared (using ReadWriteMany access mode)'
      reason: DisksNotLiveMigratable
      status: 'False'
      type: LiveMigratable
    - lastProbeTime: '2024-12-10T18:43:43Z'
      lastTransitionTime: null
      status: 'True'
      type: AgentConnected
  created: true
  desiredGeneration: 3
  observedGeneration: 3
  printableStatus: Running
  ready: true
  runStrategy: Always
  volumeSnapshotStatuses:
    - enabled: false
      name: vol-0
      reason: 'No VolumeSnapshotClass: Volume snapshots are not configured for this StorageClass [hostpath-csi-local-1] [vol-0]'

